Subject: Re: [PATCH] inet: Initialize per-netns inetpeer roots in net/ipv{4,6}/route.c

From: Fengguang Wu <wfg-VuQAYsv1563Yd54FQh9/[email-masked]>
Date: Sun, 10 Jun 2012 10:37:36 +0800

On Sat, Jun 09, 2012 at 10:18:01PM -0400, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Sat, 09 Jun 2012 19:09:29 -0700 (PDT)
> 
> > From: Fengguang Wu <[email-masked]>
> > Date: Sun, 10 Jun 2012 10:08:01 +0800
> > 
> >> And in another config, an old error still triggers:
> >> 
> >> net/ipv4/inetpeer.c: In function ‘family_to_base’:
> >> net/ipv4/inetpeer.c:397:50: error: ‘struct net’ has no member named ‘ipv6’
> >> net/ipv4/inetpeer.c:398:1: warning: control reaches end of non-void function [-Wreturn-type]
> >> 
> >> I'm building this patch on top of net-next master.
> > 
> > What a fucking mess Gao created, I'll fix this.
> > 
> > Thanks for the report.
> 
> I just pushed the following to net-next:
> 
> --------------------
> inet: Pass inetpeer root into inet_getpeer*() interfaces.
> 
> Otherwise we reference potentially non-existing members when
> ipv6 is disabled.
> 
> Signed-off-by: David S. Miller <[email-masked]>
> ---
>  include/net/inetpeer.h |   10 +++++-----
>  net/ipv4/inetpeer.c    |    9 +--------
>  net/ipv4/ip_fragment.c |    2 +-
>  net/ipv4/route.c       |    6 +++---
>  net/ipv6/route.c       |    2 +-
>  5 files changed, 11 insertions(+), 18 deletions(-)

David,

There will be a delay before I can see and pull the change. But anyway
new build tests should be kicked off automatically after a while.

Any new errors/warnings will be automatically reported to you and the
mailing list. In future build errors in these 4 trees will be CCed to
the netdev mailing list:

    [email-masked]  git://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git
    [email-masked]  git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git
    [email-masked]  git://git.kernel.org/pub/scm/linux/kernel/git/kkeil/isdn-2.6.git
    [email-masked]  git://git.kernel.org/pub/scm/linux/kernel/git/sameo/irda-2.6.git

Thanks,
Fengguang
_______________________________________________
Containers mailing list
[email-masked]
https://lists.linuxfoundation.org/mailman/listinfo/containers